;/////////////////////////////////////////////////////////////////////////////////
;//                                                                             //
;//  PROGRAMMA: CIVIL Design - Funzioni eseguibili all'interno di Autocad       //
;//                                                                             //
;//  FILE: TABINFOSE.LSP  disegna INFORMAZIONI sui vertivci della polilinea     //
;//                       selezionata dall'utente                               //
;//                                                                             //
;//  BY:  A. Cocetta      O.S.: msdos 4.0  LINGUAGGIO: AutoLisp 12.0            //
;//                                                                             //
;//  RELEASE: 3.5      DATA: febbraio  2000                                     //
;//                                                                             //
;//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1991                        //
;//                                                                             //
;/////////////////////////////////////////////////////////////////////////////////


(defun tabinfo (/ ent lent punto  htesto btesto nomestile 
		   laytab scos stl pma nvert instes info  2dpoly cod2 gs lengs ind ang)
 (setvar "cmdecho" 0)
 (if (and handle p1 p2 pv1 pv2 pr obj tipo)
    (progn
	(princ cd-c-string-tabinfo-1) ;;;"Selezionare le entit: ")
	(setq gs (ssget))
	(setq lengs (sslength gs))
 	(setq ind 0)
	(if (not (setq ang (getangle cd-c-string-tabinfo-2)))   ;;;;"angolo di rotazione <0>: ")))
	    (setq ang 0)
	)
	(setq ang (atof (angtos ang (getvar "AUNITS"))))
	(while (< ind lengs)
	    	(setq ent (ssname gs ind))
		(setq lent (entget ent) nvert 0 cod2 (cdr (assoc 210 lent)))
		(if (= (cdr (assoc 0 lent)) "POLYLINE")
		    (progn
			(setq 	ent (entnext ent)  
				lent (entget ent '("CD-CIVIL_DESIGN-CD-SE" "CD-C-CIVIL_DESIGN" "CD-CIVIL_DESIGN-CD-RR")) 
				2dpoly (cdr (assoc 70 lent))
				stl (getvar "TEXTSTYLE")	
			)
			(setq hstile (cdr (assoc 40 (tblsearch "style" stl)))) 
			; cerca l'altezza del testo
			(if (or (not cdcarhtes) (<= cdcarhtes 0.0)) 
			    (setq htesto 1.0)
			    (setq htesto (* (atof (cdr (nth 4 obj))) (/ cdcarhtes 1000.0)))
			)
			
			(while  (/= "SEQEND" (cdr (assoc 0 lent)))
				(setq punto (cdr (assoc 10 lent)) nvert (1+ nvert))
				(setq instes (list (car punto) (+ (cadr punto) (* htesto 0.5))))
				(setq info (cdr (assoc 1000 (cdadr (assoc -3 lent)))))
				(setq instes (trans instes 0 1))
				(if (/= info nil) 
					(if 	(> hstile 0)
						(command-s "_text" instes ang info)
						(command-s "_text" instes htesto ang info)
					)
				)
				(setq ent (entnext ent) lent (entget ent '("CD-CIVIL_DESIGN-CD-SE" "CD-C-CIVIL_DESIGN" "CD-CIVIL_DESIGN-CD-RR")))
			)
			
		    )
		)
		
		(setq ind (1+ ind))
	 )
    )
    (princ cd-c-string-tabinfo-3);;;;"\nNessun oggetto attivo! Impossibile eseguire il comando.")
 )

(setvar "cmdecho" 1)
(princ)
)
